# coding: utf-8

from django.db import models


class RoleAliasManager(models.Manager):
    def get_firewalls(self):
        from idm.core.models import RoleNode
        return self.filter(node__state__in=RoleNode.ACTIVE_STATES, type=self.model.FIREWALL_ALIAS)
